summaryrefslogtreecommitdiff
path: root/tests/chmod/equal-x
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/equal-x')
-rwxr-xr-xtests/chmod/equal-x4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/equal-x b/tests/chmod/equal-x
index 1b1af8aea..76030e794 100755
--- a/tests/chmod/equal-x
+++ b/tests/chmod/equal-x
@@ -20,7 +20,7 @@ chmod 444 $file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
umask 005
@@ -30,4 +30,4 @@ case "`ls -l $file`" in
*) fail=1; ls -l $file ;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail